Bug 852182 - AttributeError: 'TreeModelFilter' object has no attribute 'set_text'
AttributeError: 'TreeModelFilter' object has no attribute 'set_text'
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
abrt_hash:6b0b47a9ac532102a08b356ef5d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 15:24 EDT by Joey Boggs
Modified: 2014-06-13 05:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: anaconda-18.8-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:56:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: program.log (16.12 KB, text/plain)
2012-08-27 15:24 EDT, Joey Boggs
no flags Details
File: environ (764 bytes, text/plain)
2012-08-27 15:24 EDT, Joey Boggs
no flags Details
File: type (9 bytes, text/plain)
2012-08-27 15:24 EDT, Joey Boggs
no flags Details
File: storage.log (65.27 KB, text/plain)
2012-08-27 15:24 EDT, Joey Boggs
no flags Details
File: anaconda.log (2.44 KB, text/plain)
2012-08-27 15:24 EDT, Joey Boggs
no flags Details
File: syslog (71.62 KB, text/plain)
2012-08-27 15:24 EDT, Joey Boggs
no flags Details
File: product (24 bytes, text/plain)
2012-08-27 15:24 EDT, Joey Boggs
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-08-27 15:24 EDT, Joey Boggs
no flags Details
File: version (3 bytes, text/plain)
2012-08-27 15:24 EDT, Joey Boggs
no flags Details
File: release (58 bytes, text/plain)
2012-08-27 15:24 EDT, Joey Boggs
no flags Details
File: anaconda-tb (777.55 KB, text/plain)
2012-08-27 15:24 EDT, Joey Boggs
no flags Details
File: ifcfg.log (1.15 KB, text/plain)
2012-08-27 15:24 EDT, Joey Boggs
no flags Details
File: description (349 bytes, text/plain)
2012-08-27 15:24 EDT, Joey Boggs
no flags Details

  None (edit)
Description Joey Boggs 2012-08-27 15:24:03 EDT
Version-Release number of selected component:
anaconda-18.7

Additional info:
libreport version: 2.0.12
cmdline:        initrd=initrd.img  quiet BOOT_IMAGE=vmlinuz 
kernel:         3.5.0-0.24.el7.x86_64
Comment 1 Joey Boggs 2012-08-27 15:24:05 EDT
Created attachment 607321 [details]
File: program.log
Comment 2 Joey Boggs 2012-08-27 15:24:07 EDT
Created attachment 607322 [details]
File: environ
Comment 3 Joey Boggs 2012-08-27 15:24:09 EDT
Created attachment 607323 [details]
File: type
Comment 4 Joey Boggs 2012-08-27 15:24:10 EDT
Created attachment 607324 [details]
File: storage.log
Comment 5 Joey Boggs 2012-08-27 15:24:12 EDT
Created attachment 607325 [details]
File: anaconda.log
Comment 6 Joey Boggs 2012-08-27 15:24:14 EDT
Created attachment 607326 [details]
File: syslog
Comment 7 Joey Boggs 2012-08-27 15:24:15 EDT
Created attachment 607327 [details]
File: product
Comment 8 Joey Boggs 2012-08-27 15:24:17 EDT
Created attachment 607328 [details]
File: hashmarkername
Comment 9 Joey Boggs 2012-08-27 15:24:18 EDT
Created attachment 607329 [details]
File: version
Comment 10 Joey Boggs 2012-08-27 15:24:20 EDT
Created attachment 607330 [details]
File: release
Comment 11 Joey Boggs 2012-08-27 15:24:30 EDT
Created attachment 607331 [details]
File: anaconda-tb
Comment 12 Joey Boggs 2012-08-27 15:24:32 EDT
Created attachment 607332 [details]
File: ifcfg.log
Comment 13 Joey Boggs 2012-08-27 15:24:33 EDT
Created attachment 607333 [details]
File: description
Comment 14 Joey Boggs 2012-08-27 15:27:59 EDT
Packages list was empty if that helps, so wasn't able to install either way
Comment 15 Chris Lumens 2012-08-27 17:08:40 EDT
I don't think the add repo dialog really works at all right now, but that's okay - we know that's the case.  However, this traceback is definitely not good to have.  It will be fixed in the next build, and those are getting pulled into RHEL7 with some regularity.
Comment 17 Jan Stodola 2013-07-09 09:40:03 EDT
Joey,
do you remember the steps you did to encounter this bug?
Comment 18 Joey Boggs 2013-07-09 10:01:55 EDT
I want to say it was just going to the package selection groups that triggered it
Comment 19 Jan Stodola 2013-07-09 10:31:32 EDT
Thanks for the info.

It is possible to go to the software selection spoke and change software environments and add-ons without any traceback.
Tested with anaconda-19.30.13-1.

Moving to VERIFIED.
Comment 20 Ludek Smid 2014-06-13 05:56:12 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.